<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

if (!session_id()) {
  session_start();
}

if (!defined('BASEDIR')) {
  include_once '..' . DIRECTORY_SEPARATOR . 'classes' . DIRECTORY_SEPARATOR . 'constants.php';
}

CodingOperations::encodeEingaben();
CodingOperations::setObStartIfInternalAndExternalEncodingAreDiffrent();



if (SEARCHENGINE_FUNCTIONS === true && !TYPO3_CMS_USED && !RequestOperations::isAjax()) { 
  ob_start();
}


$param = new URLParameterFilter();
if ($param->clearAllKatfilter()) {
  SessionOperations::resetKursKategorieRestrictions();
}

$dmnm = new DataMenuDemnaechstMenue(new URLParameterBasis());
if (SEARCHENGINE_FUNCTIONS === true && !TYPO3_CMS_USED) {
  $dmnm->content();
  $buffer = ob_get_contents();
  ob_end_clean();
  echo SeoApi::rewriteLinks($buffer);
} else {
  $dmnm->content();
}
CodingOperations::encodeAnzeige();